
Foreman - Bug #6760

Models should ensure the authorization of associated objects before associating them to the model

07/23/2014 09:55 PM - Eric Helms

Status: New   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1126840 Red Hat JIRA:  

Pull request:    

Description

While this issue is systematic, I'll provide an example using domains and subnets to illustrate the problem.

As an admin:

1. Create a new domain: "example.org"

2. Create a User: "testuser"

3. Create a new Role: "Subnets Role"

4. Add a Filter to the Role with - Type: Subnets, Permissions: create_subnets, view_subnets

As testuser:

curl -u testuser:testuser -X POST -d '{"name": "subnet1", "network": "255.168.192.1", "mask": "255.255.255.0", "domains": [{"id": 1}]}'

-H "Content-Type: application/json" http://10.13.129.41:3000/api/v2/subnets

Related issues:

Related to Foreman - Feature #4477: Improve permissions on resources in host ... Closed 02/27/2014

Related to Foreman - Bug #7221: Edit organization displays associated resourc... Closed 08/21/2014

Related to Foreman - Bug #7337: organizations UI does not filter resources to... Closed 09/03/2014

Related to Foreman - Feature #7289: ACL who can add a host to hostgroup. New 08/28/2014

Blocks Katello - Bug #5720: Roles: Add scopes to finds in converted controllers New

History

#1 - 07/24/2014 02:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4483 added

- Pull request deleted ()

#2 - 07/24/2014 03:29 PM - Eric Helms

- Project changed from Katello to Foreman

- Target version deleted (49)

#3 - 07/25/2014 11:23 AM - The Foreman Bot

- Target version set to 1.8.0

#4 - 07/28/2014 04:23 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

https://github.com/theforeman/foreman/pull/1616

#5 - 07/28/2014 04:24 AM - Dominic Cleal
- Related to Feature #4477: Improve permissions on resources in host creation/editing form added

#6 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#7 - 08/05/2014 08:23 AM - Eric Helms

- Bugzilla link set to 1126840

#8 - 08/15/2014 01:40 PM - Eric Helms

- Blocks Bug #5720: Roles: Add scopes to finds in converted controllers added

#9 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#10 - 08/22/2014 03:47 AM - Dominic Cleal

- Related to Bug #7221: Edit organization displays associated resources for use w/o permissions added

#11 - 09/03/2014 10:56 AM - Dominic Cleal

- Related to Bug #7337: organizations UI does not filter resources to associate based upon RBAC added

#12 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#13 - 09/30/2014 10:48 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#14 - 03/16/2016 09:08 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Eric Helms)

- Target version deleted (1.7.2)

- Pull request deleted (https://github.com/Katello/katello/pull/4483)

Associated PR was closed.

#15 - 09/21/2016 07:32 AM - Marek Hulán

- Related to Feature #7289: ACL who can add a host to hostgroup. added
